Subject: Re: bug#26104: 26.0.50; In Ubuntu, having mouse over other frame cause Alt key to produce a <switch-frame> event

From: martin rudalics <[email-masked]>
Date: Fri, 07 Apr 2017 07:56:12 +0200

> switch-frame is produced when the Alt key is pressed (as soon as it is
 > pressed, i.e. before the 'Y' is pressed). i can verify this by running
 > 'read-event`, which triggers and produces switch-frame as soon as Alt
 > is pressed. Conversely, the event is still generated even if I disable
 > both my mouse and trackpad, the only things which can produce mouse
 > motion.

Sorry for the silly question: Earlier you said that

   In Ubuntu, if I have two frames open and the mouse is positioned over
   the other frame (i.e. not over the active one), pressing the Alt key
   produces a <switch-frame> event.

and now you say that "the event is still generated even if I disable
both my mouse and trackpad".  How can you position the mouse when you
disable it?

martin